> ## Documentation Index
> Fetch the complete documentation index at: https://docs.carbn.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Crypto Balance

> Get the crypto balance for a user in USD. Returns a decimal number representing the balance.



## OpenAPI

````yaml /api-reference/openapi.json get /payment/api/v1/offramp-audit/crypto-balance/{crypto}/{blockchain}/{user_id}
openapi: 3.0.0
info:
  title: Carbn Connect API
  version: 1.0.0
  description: >-
    API documentation for Carbn Connect services including user onboarding, KYC,
    wallet management, and transfers.
servers:
  - url: https://api.carbnconnect.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /payment/api/v1/offramp-audit/crypto-balance/{crypto}/{blockchain}/{user_id}:
    get:
      tags:
        - Account Management
      summary: Get Crypto Balance
      description: >-
        Get the crypto balance for a user in USD. Returns a decimal number
        representing the balance.
      operationId: getCryptoBalance
      parameters:
        - name: crypto
          in: path
          required: true
          schema:
            type: string
          example: USDC
          description: The cryptocurrency symbol (e.g., USDC, USDT)
        - name: blockchain
          in: path
          required: true
          schema:
            type: string
          example: solana
          description: The blockchain network (e.g., solana, ethereum, polygon)
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          example: 9973efd0-410c-4b1a-991c-5a00f1581734
          description: The unique identifier of the user
      responses:
        '200':
          description: Crypto balance retrieved successfully
          content:
            application/json:
              schema:
                type: number
                format: decimal
                example: 150.75
                description: The crypto balance in USD
        '400':
          description: Invalid request
        '401':
          description: Unauthorized - API key is missing or invalid
        '404':
          description: User or balance not found
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Must be included in the x-api-key header.

````